#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <map>

using namespace std;

using ui = unsigned int;
using vvi = vector<vector<int>>;
using vi = vector<int>;
using ll = long long;
using ull = unsigned long long;
using pii = pair<int, int>;

ll maxll(ll a, ll b) { return (a > b) ? a : b; }
ll minll(ll a, ll b) { return (a < b) ? a : b; }
ll gcd(ll a, ll b) { return b ? gcd(b, a % b) : a; }

// int: from -2*10^9 to 2*10^9
// unsigned int: from 0 to 4*10^9
// long long: from -9*10^18 to 9*10^18
// unsigned long long: from 0 to 18*10^18

vi f(int a, int b)
{
    vi temp;
    while (a > 0)
    {
        temp.push_back(a % b);
        a /= b;
    }
    vi res;
    int n = temp.size();
    for (int i = n - 1; i >= 0; --i)
        res.push_back(temp[i]);
    return res;
}

map<int, char> chaalt;

int main()
{
    chaalt[0] = '<';
    chaalt[1] = '>';
    chaalt[2] = '[';
    chaalt[3] = ']';
    chaalt[4] = '{';
    chaalt[5] = '}';

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    // freopen("input.txt", "r", stdin);
    // freopen("output.txt", "w", stdout);

    int x, y;
    cin >> x >> y;
    /*
    bool isfound = false;
    cout << '{';
    for (int i = min(y, 791817); i >= x; --i)
    {
        vi n = f(i, 6);

        map<int, int> f;
        bool isok = true;
        for (int k = 0; k < n.size(); ++k)
        {
            // cout << chaalt[n[k]];
            if ((n[k]) == 0 || (n[k]) == 2 || (n[k]) == 4)
                ++f[n[k]];
            else
            {
                --f[n[k] - 1];
                if (f[n[k] - 1] < 0)
                {
                    isok = false;
                    break;
                }

                map<int, int> f1;
                --f1[n[k] - 1];
                int j = k - 1;
                while (f1[n[k] - 1] < 0)
                {
                    if ((n[j]) == 0 || (n[j]) == 2 || (n[j]) == 4)
                        ++f1[n[j]];
                    else
                        --f1[n[j] - 1];
                    --j;
                }
                for (auto it1 = f1.begin(); it1 != f1.end(); ++it1)
                    if ((*it1).second != 0)
                    {
                        isok = false;
                        break;
                    }
            }
        }

        for (auto it = f.begin(); it != f.end(); ++it)
            if ((*it).second != 0)
            {
                isok = false;
                break;
            }

        // cout << '\n';
        if (isok)
        {
            // for (auto it = n.begin(); it != n.end(); ++it)
            //     cout << chaalt[*it];
            // cout << '\n';
            isfound = true;
            cout << ", " << i;
            //   break;
        }
    }
    cout << '}';
    if (!isfound)
        cout << 0 << '\n';
    */
    vi answers = {791817, 791777, 791763, 791749, 791733, 791649, 791637, 791133, 790629, 790337, 790323, 790309, 790307, 790223, 790139, 789873, 789833, 789819, 789805, 789789, 789705, 789439, 789355, 789329, 789315, 789301, 789271, 789033, 788793, 788753, 788739, 788725, 788709, 788625, 788529, 788025, 786429, 785925, 785769, 785729, 785715, 785701, 785685, 785601, 785421, 785337, 785297, 785283, 785269, 785253, 785169, 785157, 784653, 784149, 784077, 781053, 778029, 768453, 767193, 767153, 767139, 767125, 767109, 767025, 767013, 766509, 766005, 765429, 762405, 752829, 749805, 749049, 749009, 748995, 748981, 748965, 748881, 748869, 748365, 747861, 746781, 738497, 738483, 738469, 738467, 738383, 738299, 738033, 737993, 737979, 737965, 737949, 737865, 737599, 737515, 737489, 737475, 737461, 737431, 737417, 737403, 737389, 737387, 737303, 737219, 737207, 736703, 736199, 734603, 734393, 734379, 734365, 734363, 734279, 734195, 734099, 733595, 731999, 731495, 731369, 731355, 731341, 731339, 731255, 731171, 730991, 721833, 721793, 721779, 721765, 721749, 721665, 721653, 721149, 720645, 720353, 720339, 720325, 720323, 720239, 720155, 719889, 719849, 719835, 719821, 719805, 719721, 719455, 719371, 719345, 719331, 719317, 719287, 719049, 718809, 718769, 718755, 718741, 718725, 718641, 718545, 718041, 716445, 715941, 715785, 715745, 715731, 715717, 715701, 715617, 715437, 706279, 706195, 706169, 706155, 706141, 706111, 706099, 705595, 705091, 703495, 703255, 703171, 703145, 703131, 703117, 703087, 702991, 702487, 702209, 702195, 702181, 702179, 702095, 702011, 701745, 701705, 701691, 701677, 701661, 701577, 701311, 701227, 701201, 701187, 701173, 701143, 700891, 700387, 700231, 700147, 700121, 700107, 700093, 700063, 699883, 691833, 691593, 691553, 691539, 691525, 691509, 691425, 691329, 690825, 690753, 687729, 684705, 682953, 682913, 682899, 682885, 682869, 682785, 682773, 682269, 681765, 681473, 681459, 681445, 681443, 681359, 681275, 681009, 680969, 680955, 680941, 680925, 680841, 680575, 680491, 680465, 680451, 680437, 680407, 680169, 679929, 679889, 679875, 679861, 679845, 679761, 679665, 679161, 677565, 677061, 676905, 676865, 676851, 676837, 676821, 676737, 676557, 675129, 673689, 673449, 673409, 673395, 673381, 673365, 673281, 673185, 672681, 672105, 669081, 659505, 656481, 655545, 655305, 655265, 655251, 655237, 655221, 655137, 655041, 654537, 653457, 598509, 598005, 597849, 597809, 597795, 597781, 597765, 597681, 597501, 597429, 594405, 591381, 581805, 580365, 579861, 579705, 579665, 579651, 579637, 579621, 579537, 579357, 578781, 575757, 574089, 574049, 574035, 574021, 574005, 573921, 573909, 573405, 572901, 572609, 572595, 572581, 572579, 572495, 572411, 572145, 572105, 572091, 572077, 572061, 571977, 571711, 571627, 571601, 571587, 571573, 571543, 571305, 571065, 571025, 571011, 570997, 570981, 570897, 570801, 570297, 568701, 568197, 568041, 568001, 567987, 567973, 567957, 567873, 567693, 566181, 563157, 562221, 561717, 561561, 561521, 561507, 561493, 561477, 561393, 561213, 560133, 38657, 38643, 38629, 38627, 38543, 38459, 38193, 38153, 38139, 38125, 38109, 38025, 37759, 37675, 37649, 37635, 37621, 37591, 37577, 37563, 37549, 37547, 37463, 37379, 37367, 36863, 36359, 34763, 34553, 34539, 34525, 34523, 34439, 34355, 34259, 33755, 32159, 31655, 31529, 31515, 31501, 31499, 31415, 31331, 31151, 21993, 21953, 21939, 21925, 21909, 21825, 21813, 21309, 20805, 20513, 20499, 20485, 20483, 20399, 20315, 20049, 20009, 19995, 19981, 19965, 19881, 19615, 19531, 19505, 19491, 19477, 19447, 19209, 18969, 18929, 18915, 18901, 18885, 18801, 18705, 18201, 16605, 16101, 15945, 15905, 15891, 15877, 15861, 15777, 15597, 1073, 1059, 1045, 1043, 959, 875, 609, 569, 555, 541, 525, 441, 29, 15};

    ull n = answers.size();
    for (ull i = 0; i < n; ++i)
    {
        if (answers[i] <= y && answers[i] >= x)
        {
            cout << answers[i] << '\n';
            break;
        }
        if (answers[i] > y)
            continue;
        if (answers[i] < x)
        {
            cout << "0\n";
            break;
        }
    }

    return 0;
}