def is_correct(posl):
    if not posl:
        return True
    start = posl[0]
    if start not in '<{[':
        return False
    key = 1
    for i in range(1, len(posl)):
        if key != 0:
            if start == '<':
                if posl[i] == '<':
                    key += 1
                elif posl[i] == '>':
                    key -= 1
            elif start == '{':
                if posl[i] == '{':
                    key += 1
                elif posl[i] == '}':
                    key -= 1
            elif start == '[':
                if posl[i] == '[':
                    key += 1
                elif posl[i] == ']':
                    key -= 1
            if key == 0:
                key = i
                break
        else:
            key = i
            break
    else:
        return False

    podposl1 = posl[1:key]
    podposl2 = posl[key + 1:]

    if is_correct(podposl1) and is_correct(podposl2):
        return True
    return False


def translate(num):
    word = ''
    d = {'0': '<', '1': '>', '2': '[', '3': ']', '4': '{', '5': '}'}
    for i in to_sixth(num):
        word += d[i]
    return word


def to_sixth(num):
    answer = ''
    while num >= 6:
        answer += str(num % 6)
        num //= 6
    answer += str(num)
    return answer[::-1]


answer = 0
x, y = map(int, input().split())
for i in range(x, y + 1):
    if is_correct(translate(i)):
        answer += 1
print(answer)