#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>

#define int long long

using namespace std;

inline string to6(int x) {
    string s;
    while (x) {
        s += to_string(x % 6);
        x /= 6;
    }
    reverse(s.begin(), s.end());
    return s;
}


inline bool checkPsp(string &s) {
    vector<char> psp;
    for (char c: s) {
        if (c == '3') {
            if (psp.empty() or psp.back() != '2') {
                return false;
            } else {
                psp.pop_back();
            }
        } else if (c == '5') {
            if (psp.empty() or psp.back() != '4') {
                return false;
            } else {
                psp.pop_back();
            }
        } else if (c == '1') {
            if (psp.empty() or psp.back() != '0') {
                return false;
            } else {
                psp.pop_back();
            }
        } else {
            psp.push_back(c);
        }
    }
    if (!psp.empty()) return false;
    return true;
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);


    int l, r;
    cin >> l >> r;
    int ans = 0;
    for (int i = l; i <= r; ++i) {
        string s = to6(i);
        if (checkPsp(s)) ans = i;
    }
    cout << ans;


    return 0;
}