#include <iostream>
#include <vector>
#include <set>
#include <list>
#include <map>
#include <stack>
#include <algorithm>
#include <queue>
#include <cmath>
#include <iomanip>
#include <random>

using namespace std;
typedef long long ll;
typedef long double ld;
ll mod = 998244353;
long long p = 239, p1 = 911, mod1 = (1e+9) + 7, INF = 1e18;

ll gcd(ll a, ll b) {
    if (b == 0) return a;
    return gcd(b, a % b);
}

ll binpow(ll a, ll x) {
    if (a == 1 || x == 0) return 1;
    if (x == 1) return a;
    if (x & 1)
        return binpow(a, x - 1) * a % mod;
    else {
        ll temp = binpow(a, x >> 1);
        return temp * temp % mod;
    }
}

vector < ll > to_6(ll n) {
    vector < ll > res;
    while (n) {
        res.push_back(n % 6);
        n /= 6;
    }
    reverse(res.begin(), res.end());
    return res;
}

bool check(ll n){
    vector < ll > a = to_6(n);
    stack < ll > st;
    for (auto i: a) {
        if (i % 2 == 0) {
            st.push(i);
        }
        else {
            if (st.empty()) return false;
            if (st.top() != i - 1) return false;
            st.pop();
        }
    }
    return st.empty();
}

void solve() {
    ll n, m, s = 0;
    cin >> n;
    vector < ll > a(n);
    for (ll i = 0; i < n; i++) cin >> a[i];
    ll k = 0, res = 0;
    for (ll i = 1; i < n; i++) {
        if (a[i] > a[i - 1]) k++;
        else k = 0;
        res = max(res, k);
    }
    cout << res;
}


int main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(0);
    ll T = 1;
//    cin >> T;
    while (T--) {
        solve();
    }
    return 0;
}