﻿#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <set>
#include <iomanip>
#include <random>
#include <ctime>
#include <cstdio>
#include <set>
#include <map>
#include <string>
#define endl '\n'

using namespace std;
using ll = long long;

pair <ll, ll> get(int w, int h, int W, int w1, int h1)
{
	if (W < w1)
		return { 1e18, 1e18 };
	ll ans = 1;
	W -= w1;
	int e = h, r = 1;
	while (h < h1)
	{
		h += e;
		r++;
	}
	ll q = W;
	ll W1 = W - W / 2, W2 = W / 2;
	ans += (W1 / w) * r;
	ans += (W2 / w) * r;
	W1 %= w;
	W2 %= w;
	if (W1)
		ans += r;
	if (W2)
		ans += r;
	
	if (W1)
		W1 = w - W1;
	else
		W1 = 0;
	if (W2)
		W2 = w - W2;
	else
		W2 = 0;
	return { ans, W1 * h1 + W2 * h1 + q * max(0, h - h1) };
}

int main()
{
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int w, h, W;
	cin >> w >> h >> W;
	pair <ll, ll> ans = { 1e18, 1e18 };

	ans = min(ans, get(w, h, W, w, h));
	ans = min(ans, get(w, h, W, h, w));

	ans = min(get(h, w, W, h, w), ans);
	ans = min(get(h, w, W, w, h), ans);
	cout << ans.second;
}
