#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <unordered_map>
#include <unordered_set>
#include <algorithm>
#include <cmath>
#include <string>
#include <queue>
#include <deque>

using namespace std;
typedef long long ll;
typedef long double ld;

const int MAXS = 2001;

void solve(){
	int n;
	cin >> n;
	int S;
	cin >> S;
	vector<int> a(n);
	for(int i = 0; i < n; ++i){
		cin >> a[i];
	}
	sort(a.begin(), a.end());

	pair<int ,int> INFK; INFK.first = 1e9; INFK.second = 1E9;
	vector<vector<pair<int ,int>>> dp(n + 1, vector<pair<int, int>>(MAXS, INFK));

	dp[0][0].first = 0;
	dp[0][0].second = 0;
	for(int i = 0; i < n; ++i){
		for(int g = 0; g < i; ++g){
			for(int j = 0; j < MAXS; ++j){
				if (dp[g][j].first != 1e9){
					if (j + a[i] < MAXS){
						pair<int ,int> k1 = dp[g][j];
						k1.first++;
						pair<int ,int> k2 = dp[g + 1][j + a[i]];
						pair<int ,int> k3 = min(k1, k2);
						dp[g + 1][j + a[i]] = k3;
					}
					if (j + 2 * a[i] < MAXS){
						pair<int ,int> k1 = dp[g][j];
						k1.first++; k1.second++;
						pair<int ,int> k2 = dp[g + 1][j + 2 * a[i]];
						pair<int ,int> k3 = min(k1, k2);
						dp[g + 1][j + 2 * a[i]] = k3;
					}
				}
			}
		}
	}
	pair<int ,int> ans = INFK;
	for(int i = 0; i <= n; ++i){
		ans = min(ans, dp[i][S]);
	}
	if (ans.first == 1e9){
		ans.first = 0;
		ans.second = 0;
	}
	cout << ans.first << ' ' << ans.second;
}

int main(){
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);

	int t = 1; 
	//cin >> t;
	while(t  > 0){
		solve();
		--t;
	}
	return 0;
}