#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <chrono>
#include <set>
#include <map>
#include <random>
using namespace std;
#define int long long

void fastio()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

bool check(int n)
{
    bool flag = true;
    while(n > 0)
    {
        if(n % 5 % 2 == 1)
        {
            flag = false;
        }
        n /= 5;
    }
    return flag;
}

string check2(int n)
{
    string s;
    while(n > 0)
    {
        s = (char)(n % 5 + '0') + s;
        n /= 5;
    }
    return s;
}

int32_t main()
{
    fastio();
    //check(80);
    int n;
    cin >> n;
    int max1 = -1, max2 = -1, max3 = -1;
    for(int i = 0; i < n; ++i)
    {
        int x;
        cin >> x;
        if(x > max1)
        {
            max3 = max2;
            max2 = max1;
            max1 = x;
        }
        else if(x > max2)
        {
            max3 = max2;
            max2 = x;
        }
        else if(x > max3)
        {
            max3 = x;
        }
    }
    cout << max1 << ' ' << max2 << ' ' << max3;
}