#include <iostream>
#include <vector>
#define int long long

using namespace std;

string ten_to_six(int ten)
{
    string six="";
    while(ten>0) {
        six = to_string(ten%6) + six;
        ten/=6;
    }
    if(six=="") six="0";
    return six;
}

bool is_right(string str){
    vector<char> stack;
    for(int i=0; i<str.length(); i++) {
        if(str[i]=='0' || str[i]=='2' || str[i]=='4')
            stack.push_back(str[i]);
        if(str[i]=='1' || str[i]=='3' || str[i]=='5') {
            if(stack.size()==0) return false;
            if(stack[stack.size()-1] + 1 != str[i]) return false;
            stack.pop_back();
        }
    }
    return (stack.size()==0);
}

signed main()
{
    int min_num,max_num; cin >> min_num >> max_num;
    for(int num=max_num; num>=min_num; num--) {
        if(is_right(ten_to_six(num))) {
            cout << num << endl;
            return 0;
        }
    }
    cout << 0 << endl;
}