#include <algorithm>
#include <iostream>
#include <vector>
#include <set>

using namespace std;

#define vec vector

typedef long long ll;
typedef long double ld;
typedef vector<ll> vll;

struct Edge{
    ll a,b;
};

vec<ll> mas, pred;
vec<Edge> tutu;
ll u, n, now = 0;

void go(vll ones, ll n, ll k){
    if (ones.size() == k){
        int sum = 0;
        for (int i = 0; i < k; i++){
            sum += mas[ones[i]];
        }
        if (sum == u){
            tutu.push_back({k,now});
        }
        return;
    }
    else{
        for (int i = 0; i < n; i++){
        if (ones.empty()){
            ones.push_back(i);
            go(ones, n, k);
            ones.pop_back();
        }
        else{
            if (i > ones.back()){
                ones.push_back(i);
                go(ones, n, k);
                ones.pop_back();
                }
            }
        }
    }
}

void go2(ll n, ll k, vll ones){
    if (ones.size() == k){
        for (int i = 0; i < k; i++){
            mas[ones[i]] *= 2;
        }
        for (int i = 1; i <= n; i++)
            go({},n,i);
        mas = pred;
        return;
    }
    else{
        for (int i = 0; i < n; i++){
        if (ones.empty()){
            ones.push_back(i);
            go2(n, k, ones);
            ones.pop_back();
        }
        else{
            if (i > ones.back()){
                ones.push_back(i);
                go2(n, k, ones);
                ones.pop_back();
                }
            }
        }
    }
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin >> n >> u;

    for (ll i = 0; i < n; i++){
        int a;
        cin >> a;
        mas.push_back(a);
    }
    pred = mas;
    for (; now <= n; now++){
        go2(n,now,{});
    }

    if (!tutu.empty()){
        ll aa = 10000000000000, bb = 10000000000000;
        for (int i = 0; i < tutu.size(); i++){
            if (tutu[i].a == aa){
                if (tutu[i].b < bb)
                    bb = tutu[i].b;
            }
            if (tutu[i].a < aa){
                aa = tutu[i].a;
                bb = tutu[i].b;
            }
        }
        cout << aa << ' ' << bb;
    }
    else
        cout << 0 << ' ' << 0;
    return 0;
}
