#include <algorithm>
#include <iostream>
#include <string>

using namespace std;

#define fastio ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#define int long long

string to4(int n) {
	if (n == 0)
		return "0";
	string res;
	while (n) {
		res.push_back('0' + (n % 4));
		n /= 4;
	}
	reverse(res.begin(), res.end());
	return res;
}

signed main() {
	fastio;
	int n;
	cin >> n;
	int ans = 0;
	for (int i = 0; i < n; ++i) {
		int sum = 0;
		string s;
		cin >> s;
		for (auto j : s)
			if ('0' <= j && j < '8')
				sum += j - '0';
		string t = to4(sum);
		if (2 <= t.length() && t[t.size() - 2] == '1' && t[t.size() - 1] == '3')
			++ans;
	}
	cout << ans;
}