﻿#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <map>
using namespace std;

bool check(int a) {
    const int base = 6;
    if (a <= 0) {
        return 0;
    }
    vector<int> stack;
    int cur = -1;
    const int cmap[] = { 1, 0, 3, 2, 5, 4 };
    const int open[] = { 0, 2, 4 };
    const int close[] = { 1, 3, 5 };
    while (a != 0) {
        int d = a % base;
        if (d == 0 or d == 2 or d == 4) {
            if (cur < 0) {
                return 0;
            }
            if (stack[cur] != cmap[d]) {
                return 0;
            }
            stack.pop_back();
            cur -= 1;
        }
        else {
            stack.push_back(d);
            cur += 1;
        }
        a /= base;
    }
    if (stack.empty() and a == 0) {
        return 1;
    }
    return 0;
}

int main()
{
    int l, r;
    cin >> l >> r;
    for (int i = r; i >= l; i--) {
        if (check(i)) {
            cout << i;
            return 0;
        }
    }
    cout << 0;
}