//#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <unordered_map>
#include <unordered_set>
#include <algorithm>
#include <cmath>
#include <string>
#include <queue>
#include <deque>

using namespace std;
typedef long long ll;
typedef long double ld;

string perevod(int a, int b, ll x){
	ll y = 0, x1 = x, p = 1;
	while(x > 0){
		y += x % 10 * p;
		p *= a;
		x /= 10;
	}
	string s1;
	while(y > 0){
		s1.push_back(y % b + '0');
		y /= b;
	}
	reverse(s1.begin(), s1.end());
	return s1;
}

map<int, char> mp;

int solve(string str){
	string s;
	for(int i = 0; i < str.size(); ++i){
		s.push_back(mp[str[i] - '0']);
	}
	int n = s.size();
	int ch1 = 0, ch2 = 0, ch3 = 0;
	for(int i = 0; i < n; ++i){
		if (s[i] == '<') ++ch1;
		else if (s[i] == '[') ++ch2;
		else if (s[i] == '{') ++ch3;
		else if (s[i] == '>') --ch1;
		else if (s[i] == ']') --ch2;
		else if (s[i] == '}') --ch3;
		if (ch1 < 0 || ch2 < 0 || ch3 < 0)
			return 0;
	}
	if (ch1 > 0 || ch2 > 0 || ch3 > 0)
			return 0;
	return 1;
}

int main(){
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	int x, y; cin >>x >> y;
	
	mp[0] = '<'; mp[1] = '>';
	mp[2] = '['; mp[3] = ']';
	mp[4] = '{'; mp[5] = '}';

	int ans = 0;
	for(int i = x; i <= y; ++i){
		ans += solve(perevod(10, 6, i));
	}
	cout << ans;
	return 0;
}
