#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <chrono>
#include <set>
#include <map>
#include <random>
using namespace std;
#define int long long

void fastio()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

bool check(int n)
{
    bool flag = true;
    while(n > 0)
    {
        if(n % 5 % 2 == 1)
        {
            flag = false;
        }
        n /= 5;
    }
    return flag;
}

string check2(int n)
{
    string s;
    while(n > 0)
    {
        s = (char)(n % 5 + '0') + s;
        n /= 5;
    }
    return s;
}
#define mp make_pair
const int INF = 1e9;
int32_t main()
{
    fastio();
    //check(80);
    int n;
    cin >> n;
    int w;
    cin >> w;
    vector<int> a;
    for(int i = 0; i < n; ++i)
    {
        int x;
        cin >> x;
        a.emplace_back(x);
    }
    sort(a.begin(), a.end());
    vector<vector<pair<int, int>>> dp(n, vector<pair<int, int>> (w+1, pair<int, int>(INF, INF)));
    dp[0][a[0]] = mp(1, 0);
    dp[0][floor(a[0] * 1.1)] = min(dp[0][floor(a[0] * 1.1)], mp(1LL, 1LL));

    for(int t = 0; t < n; ++t)
    {
        dp[t][0] = mp(0, 0);
    }
    for(int i = 1; i < n; ++i)
    {
        for(int j = 0; j <= w; ++j)
        {
            if(j >= a[i])
                dp[i][j] = min(dp[i][j], mp(dp[i - 1][j - a[i]].first + 1, dp[i - 1][j - a[i]].second));
            if(j >= (int)floor(a[i] * 1.1))
                dp[i][j] = min(dp[i][j], mp(dp[i - 1][j - (int)floor(a[i] * 1.1)].first + 1, dp[i - 1][j - (int)floor(a[i] * 1.1)].second + 1));
            dp[i][j] = min(dp[i][j], dp[i-1][j]);
        }
    }
    if(dp[n-1][w] == mp(INF, INF)) cout << 0 << ' ' << 0;
    else
    cout << dp[n - 1][w].first << ' ' << dp[n - 1][w].first - dp[n - 1][w].second;
}