#include <iostream>
#include <stack>

using namespace std;

bool check(const string& s){
    stack<char> st;
    for(int i = 0; i < s.length(); i++){
        if(s[i] == '[' || s[i] == '{' || s[i] == '<'){
            st.push(s[i]);
        }
        else{
            if(!st.size()){
                return false;
            }
            if(s[i] == ']' && st.top() == '['){
                st.pop();
            }
            else if(s[i] == '}' && st.top() == '{'){
                st.pop();
            }
            else if(s[i] == '>' && st.top() == '<'){
                st.pop();
            }
            else{
                return false;
            }
        }
    }
    // cout << st.size() << "\n";
    // while(st)
    if(st.size()){
        return false;
    }
    else return true;
}

bool pcp(const string& s){
    int n = s.length();
    string p = "";
    for(int i = n - 1; i >= 0; i--){
        if(s[i] == '0'){
            p += '<';
        }
        else if (s[i] == '1'){
            p += '>';
        }
        else if (s[i] == '2'){
            p += '[';
        }
        else if (s[i] == '3'){
            p += ']';
        }
        else if (s[i] == '4'){
            p += '{';
        }
        else{
            p += '}';
        }
    }
    // cout << p << " ";
    return check(p);
}

bool f(int n){
    string res = "";
    while(n){
        char ost = char(n % 6 + '0');
        res += ost;
        n = n / 6;
    }
    // cout << res << " ";
    return pcp(res);
}

int main()
{
    /*int n = 5;
    cout << char(n + '0');*/
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int x, y;
    cin >> x >> y;
    for(int i = y; i >= x; i--){
        if(f(i)){
            cout << i;
            return 0;
        }
        // cout << flag << "\n";
    }
    cout << 0;
    return 0;
}
/*
1
1000000
*/
