#include <algorithm>
#include <cmath>
#include <iostream>
#include <vector>

using namespace std;

#define fastio ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)

const int INF = 1e9;

int n, m;

bool dp[5000 * 20 + 5][25][25];

vector<int> v;

pair<int, int> solve1() {
	dp[0][0][0] = true;
	for (int p = 0; p < n; ++p) {
		int x = v[p];
		for (int i = m; i >= 0; --i) {
			for (int j = 0; j <= n; ++j) {
				for (int k = 0; k <= n; ++k) {
					if (dp[i][j][k]) {
						dp[i + x][j + 1][k] = true;
						dp[i + int(floor(x * 1.1))][j + 1][k + 1] = true;
					}
				}
			}
		}
	}
	pair<int, int> ans = { INF, -1 };
	for (int j = 0; j <= n; ++j) {
		for (int k = 0; k <= n; ++k) {
			if (dp[m][j][k]) {
				if (j < ans.first)
					ans = { j, k };
				else if (j == ans.first && k < ans.second)
					ans = { j, k };
			}
		}
	}
	if (ans.first == INF)
		return { 0, 0 };
	else
		return ans;
}

signed main() {
	fastio;
	cin >> n >> m;
	for (int i = 0; i < n; ++i) {
		int x;
		cin >> x;
		v.push_back(x);
	}
	pair<int, int> ans = solve1();
	cout << ans.first << " " << ans.first - ans.second;
}