#include <bits/stdc++.h>
#pragma GCC optimize("O3")
using namespace std;

bool check(string &s) {
    stack<char> st;
    for (char c : s) {
        if (c == '0') {
            st.push(c);
        } else if (c == '1') {
            if (st.empty() || st.top() != '0') {
                return false;
            }
            st.pop();
        } else if (c == '2') {
            st.push(c);
        } else if (c == '3') {
            if (st.empty() || st.top() != '2') {
                return false;
            }
            st.pop();
        } else if (c == '4') {
            st.push(c);
        } else if (c == '5') {
            if (st.empty() || st.top() != '4') {
                return false;
            }
            st.pop();
        }
    }
    return st.empty();
}

string to6(int x) {
    string ans;
    while (x > 0) {
        ans.push_back('0' + x % 6);
        x /= 6;
    }
    reverse(ans.begin(), ans.end());
    return ans;
}

void solve() {
    int x, y;
    cin >> x >> y;
    int mx = 0;
    for (int i = x; i <= y; ++i) {
        string s = to6(i);
        if (check(s)) {
            mx = i;
        }
    }
    cerr << clock() * 1.0 / CLOCKS_PER_SEC << endl;
    cout << mx;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int tt = 1;
    // cin >> tt;
    while (tt--) {
        solve();
    }
}