def to3(a: int):
    res = ''
    while a > 0:
        res = str(a % 3) + res
        a //= 3
    return res


def count(sources, modes):
    res = 0
    active = 0
    overclocked = 0
    for i in range(len(sources)):
        res += sources[i] * int(modes[i])
        active += int(modes[i]) > 0
        overclocked += int(modes[i]) > 1
    return res, active, overclocked


n = int(input())
u = int(input())
sources = []
for i in range(n):
    sources.append(int(input()))
res_active = n + 1
res_overclocked = n + 1
for i in range(3 ** n):
    modes = to3(i).rjust(n, '0')
    r = count(sources, modes)
    if r[0] == u and res_active > r[1]:
        res_active = r[1]
        res_overclocked = r[2]
    elif r[0] == u and res_active == r[1] and res_overclocked > r[2]:
        res_overclocked = r[2]
if res_active == n + 1:
    res_active, res_overclocked = 0, 0
print(res_active, res_overclocked)
