#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <cmath>
#include <stack>
#include <fstream>
#include <map>

using namespace std;


int main() {
	int n, U;
	cin >> n >> U;
	vector <pair<int, pair<bool, int>>> vec;
	for (int i = 0; i < n; i++) {
		int a;
		cin >> a;
		vec.push_back({ a ,{0, -1} });
		vec.push_back({ a + a ,{1, vec.size() - 1} });
	}
	vector<vector<bool>> dp(10000, vector<bool>(2 * n));
	dp[vec[0].first][0] = 1;
	for (int i = 1; i < dp.size(); i++) {
		for (int j = 1; j < dp[i].size(); j++) {
			if (vec[j].first == i) {
				dp[i][j] = 1;
				continue;
			}
			bool flag = false;
			for (int k = 0; k < j; k++) {
				if (dp[max(0, i - vec[j].first)][k]) {
					flag = true;
					break;
				}
			}
			if (flag) {
				dp[i][j] = 1;
			}
		}
	}
	vector<vector<int>> paths;
	for (int i = 0; i < 2 * n; i++) {
		if (dp[U][i] == 1) {
			paths.push_back({});
			int id1 = U, id2 = i;
			while (id1 > 0 && id2 >= 0) {
				if (dp[id1][id2]) {
					paths[paths.size() - 1].push_back(id2);
					id1 -= vec[id2].first;
					id2--;
				}
				else {
					id2--;
				}
			}
		}
	}
	/*for (auto& x : paths) {
		for (int i = 0; i < x.size(); i++) {
			cout << vec[x[i]].first << " ";
		}
		cout << endl;
	}*/
	vector<vector<int>> ans;
	for (auto& x : paths) {
		bool flag = true;
		for (int i = 0; i < x.size(); i++) {
			for (int j = 0; j < x.size(); j++) {
				if (i != j && vec[x[j]].second.second == i) {
					flag = false;
				}
			}
		}
		if (flag) ans.push_back(x);
	}
	/*for (int i = 0; i < ans.size(); i++) {
		for (int j = 0; j < ans[i].size(); j++) {
			cout << ans[i][j] << " ";
		}
		cout << endl;
	}*/
	int min = 1e5;
	for (int i = 0; i < ans.size(); i++) {
		if (ans[i].size() < min) min = ans[i].size();
	}
	int min_f = 1e5;
	for (int i = 0; i < ans.size(); i++) {
		if (ans[i].size() == min) {
			int count = 0;
			for (int j = 0; j < ans[i].size(); j++) {
				if (vec[ans[i][j]].second.first) count++;
			}
			if (count < min_f) min_f = count;
		}
	}
	cout << min << " " << min_f;
	return 0;
}
