#include "iostream"
#include "vector"
#include "algorithm"
#include "cmath"
#include "string"
using namespace std;

const int MX_U = 3000;
pair<int, int> dp[MX_U];

bool check(pair<int, int> p1, pair<int, int> p2)
{
	if (p1.first != p2.first)
	{
		return p1.first < p2.first;
	}
	return p1.second < p2.second;
}

int main()
{
	long long n, u, ui;
	cin >> n >> u;
	vector<int> v(n);
	for (int i = 0; i < n; i++)
	{
		cin >> v[i];
	}
	for (int i = 0; i < MX_U; i++)
	{
		dp[i] = make_pair(MX_U, MX_U);
	}
	dp[0] = make_pair(0, 0);
	for (int t_u = 0; t_u < u; t_u++)
	{
		pair<int, int> p = dp[t_u];
		if (p == make_pair(MX_U, MX_U))
		{
			continue;
		}
		for (auto ui: v)
		{
			pair<int, int> n_p = p;
			n_p.first++;
			if (check(n_p, dp[t_u + ui]))
			{
				dp[t_u + ui] = n_p;
			}
			n_p.second++;
			if (check(n_p, dp[t_u + 2 * ui]))
			{
				dp[t_u + 2 * ui] = n_p;
			}
		}
	}

	if (dp[u] == make_pair(MX_U, MX_U))
	{
		cout << 0 << ' ' << 0;
	}
	else
	{
		cout << dp[u].first << ' ' << dp[u].second;
	}

	return 0;
}

